QGIS Application - Bug report #13428
PyQt not aware of qgis_customwidgets.py
2015-09-26 12:06 AM - Lauri Kajan

Status: Closed

Priority: Normal

Assignee: Denis Rouzaud

Category: Build/Install

Affected QGIS version:master Regression?: No
Operating System: windows / osgeo4w Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 21475
Description

On osgeo4w installation compiling ui files with pyuic4 produces wrong imports for qgis custom widgets.
Also all the plugins are affected that try to use ui-files directly with uic.loadUiType(). Plugins crash in this situation.

This is because of PyQt is not aware of qgis_customwidgets.py located in qgis\\python\\PyQt4\\uic\\widget-plugins folder.
In the qgis_customwidgets.py it is commented that the file should be copied into /pythonX/dist-packages/PyQt4/uic/widget-plugins/ but it

is not.

This is discussed in https://lists.osgeo.org/pipermail/ggis-developer/2015-September/039196.html

History

#1 - 2015-09-26 07:01 AM - Denis Rouzaud
- Assignee set to Denis Rouzaud

discussing it with Jirgen.

#2 - 2017-05-01 01:06 AM - Giovanni Manghi
- Easy fix? set to No

- Regression? set to No

#3 - 2018-06-08 01:52 PM - Denis Rouzaud
- Status changed from Open to Closed
- Description updated

it should be fixed
